Get a batch email validation job
Retrieves the current status and, once completed, validation results for a batch job.
GET
/
email_validations
/
batch
/
{id}
Get a batch email validation job
curl --request GET \
--url https://api.telnyx.com/v2/email_validations/batch/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.telnyx.com/v2/email_validations/batch/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.telnyx.com/v2/email_validations/batch/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"record_type": "email_validation_batch",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"total": 1,
"webhook_url": "<string>",
"completed_at": "2023-11-07T05:31:56Z",
"results": {}
}
}{
"errors": [
{
"code": "10006",
"title": "Not authorized",
"detail": "Invalid API key",
"meta": {
"url": "https://developers.telnyx.com/docs/overview/errors/10006"
}
}
]
}{
"errors": [
{
"code": "10001",
"title": "Not Found",
"detail": "The requested resource was not found"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Email validation batch UUID.
Response
Batch validation job status.
Shape returned by the GET endpoint. Does not include duplicates_removed.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Get a batch email validation job
